#pragma once

#include "basic.h"
#include <cstdio>

template <typename... Args>
void log(u32 log_level, Args ... args) {
    if (log_level <= 9) {
        std::printf(args ...);
        std::fflush(stdout);
    }
}
